%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             undertow
Version:          1.0.15
Release:          1%{?dist}
Summary:          Java web server using non-blocking IO
License:          ASL 2.0 and LGPLv2
URL:              http://undertow.io/
Source0:          https://github.com/undertow-io/undertow/archive/%{namedversion}.tar.gz

BuildArch:        noarch
Epoch:            1

BuildRequires:    aether
BuildRequires:    maven-local
BuildRequires:    maven-checkstyle-plugin
BuildRequires:    apache-mime4j
BuildRequires:    jboss-parent
BuildRequires:    jboss-logging
BuildRequires:    jboss-logging-tools
BuildRequires:    jboss-logmanager
BuildRequires:    xnio >= 3.2.0-0.1
BuildRequires:    easymock3
BuildRequires:    junit
BuildRequires:    netty
BuildRequires:    jboss-classfilewriter
BuildRequires:    jboss-annotations-1.2-api
BuildRequires:    jboss-jsp-2.3-api
BuildRequires:    jboss-servlet-3.1-api
BuildRequires:    jboss-websocket-1.0-api
BuildRequires:    jastow >= 1.0.0-1

# Undertow doesn't build on JDK8
BuildRequires:    java-1.7.0-openjdk-devel

%description
Java web server using non-blocking IO

%package javadoc
Summary:          Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n undertow-%{namedversion}

rm -rf mac-jdk-fix

# Not needed
%pom_disable_module examples
# Missing mime4j dep
%pom_add_dep org.apache.james:apache-mime4j-core:any:test servlet

%pom_remove_plugin :maven-checkstyle-plugin
%pom_remove_dep io.undertow.build:undertow-checkstyle-config

%build
export JAVA_HOME=/usr/lib/jvm/java-1.7.0
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt

%changelog
* Wed Jun 11 2014 Marek Goldmann <mgoldman@redhat.com> - 1:1.0.15-1
- Upstream release 1.0.15.Final

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:1.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Apr 23 2014 Marek Goldmann <mgoldman@redhat.com> - 1:1.0.5-1
- Upstream release 1.0.5.Final

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 1:1.0.0-2
- Use Requires: java-headless rebuild (#1067528)

* Thu Feb 13 2014 Marek Goldmann <mgoldman@redhat.com> - 1:1.0.0-1
- Upstream release 1.0.0.Final

* Mon Dec 23 2013 Marek Goldmann <mgoldman@redhat.com> - 1:1.0.0-0.7.Beta30
- Upstream release 1.0.0.Beta30

* Thu Dec 12 2013 Marek Goldmann <mgoldman@redhat.com> - 1:1.0.0-0.6.Beta27
- Upstream release 1.0.0.Beta27

* Mon Oct 07 2013 Marek Goldmann <mgoldman@redhat.com> - 1:1.0.0-0.5.Beta17
- Upstream release 1.0.0.Beta17

* Tue Sep 10 2013 Marek Goldmann <mgoldman@redhat.com> - 1:1.0.0-0.4.Beta7
- Upstream release 1.0.0.Beta7
- WildFly 1.0.0.Alpha4 doesn't like the Beta11, bumped Epoch

* Tue Sep 10 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.3.Beta11
- Upstream release 1.0.0.Beta11

* Tue Jul 23 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.2.Beta3
- Upstream release 1.0.0.Beta3

* Wed Jun 26 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.1.Alpha21
- Initial packaging

